underscore (1.13.4~dfsg+~1.11.4-2) unstable; urgency=medium

  * Team upload
  * Add fix for rollup 3 (Closes: #1022668)

 -- Yadd <yadd@debian.org>  Wed, 02 Nov 2022 12:26:31 +0100

underscore (1.13.4~dfsg+~1.11.4-1) unstable; urgency=medium

  * Team upload

  [ Jonas Smedegaard ]
  * remove myself as uploader

  [ Yadd ]
  * Declare compliance with policy 4.6.1
  * New upstream version 1.13.4~dfsg+~1.11.4
  * Refresh patches

 -- Yadd <yadd@debian.org>  Fri, 02 Sep 2022 12:38:58 +0200

underscore (1.13.3~dfsg+~1.11.4-1) unstable; urgency=medium

  * Team upload
  * Embed typescript declarations and repack

 -- Yadd <yadd@debian.org>  Tue, 26 Apr 2022 07:17:18 +0200

underscore (1.13.2~dfsg-2) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Set upstream metadata fields: Security-Contact.

  [ Yadd ]
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 27 Jan 2022 12:05:33 +0100

underscore (1.13.2~dfsg-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on uglifyjs.

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Change section to javascript
  * Drop dependency to nodejs
  * Use dh-sequence-nodejs auto install
  * Update excluded-files list
  * New upstream version 1.13.2~dfsg
  * Build with rollup
  * Drop security patch now included in upstream
  * Drop the link between node-underscore and libjs-underscore
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 19 Jan 2022 06:33:35 +0100

underscore (1.9.1~dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Sep 2021 10:28:32 +0100

underscore (1.9.1~dfsg-3) unstable; urgency=medium

  * Team upload
  * Revert Janitor changes as required by release team (#986175)

 -- Yadd <yadd@debian.org>  Wed, 31 Mar 2021 14:21:21 +0200

underscore (1.9.1~dfsg-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + node-underscore: Add Multi-Arch: foreign.

  [ Yadd ]
  * Mark autopkgtest as superficial
  * Fix arbitrary code execution and add a test (Closes: #986171)

 -- Yadd <yadd@debian.org>  Tue, 30 Mar 2021 22:40:59 +0200

underscore (1.9.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update paths to files stripped from repackaged source.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Use https protocol in Upstream-Contact URL.
    + Drop superfluous alternate Source URLs.
  * Update watch file:
    + Bump to file format 4.
    + Generalize version mangling for repackaging.
    + Simplify regular expressions.
    + Rewrite usage comment.
    + Use substitution strings.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Feb 2019 16:15:10 +0100

underscore (1.8.3~dfsg-2) unstable; urgency=medium

  * Update watch file: Use substitution string @PACKAGE@.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file. Drop README.source.
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck.
    + Use debhelper hint files.
    + Use short-form dh sequencer (not cdbs). Stop build-depend on cdbs.
  * Fix use UglifyJS2 v3.
    Tighten to build-depend on recent uglifyjs.
    Closes: Bug919732. Thanks to Santiago Vila.
  * Optimize mifification of browser library.
  * Use source-map file extension .min.js.map (not .min.map).
  * Provide gzip and brotli pre-compressed files.
    Build-depend on brotli pigz.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Enable autopkgtest.
  * Wrap and sort control file.
  * Update copyright info:
    + Extend ownership coverage of packaging.
    + Use https protocol in file format URL.
    + Fix source URLs.
  * Use https protocol in homepage URL.
  * Add patch 2001 to avoid privacy breach reading the documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Jan 2019 03:01:34 +0100

underscore (1.8.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Fix install Nodejs symlink inside subdir, and also install
    package.json.
    Closes: Bug#772836. Thanks to Olliver Schinagl.
  * Declare compliance with Debian Policy 3.9.8.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of packaging to include current year.
    + Stop cover convenience code copies.
    + Extend coverage for main upstream author.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Modernize Vcs-Git field: Use https URL.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update watch file:
    + Bump to version 4.
    + Use Github and repack patterns.
    + Mention gpb --uscan in usage comment.
  * Generate and include source map.
    Build-depend on node-source-map.
  * Avoid minified files when repackaging upstream source.
  * Build-depend on licensecheck (not devscripts).
  * Set libjs-underscore to Multi-Arch: foreign.
    Closes: Bug#790414. Thanks to Maximiliano Curia.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Aug 2016 00:53:15 +0200

underscore (1.7.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release(s).

  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Declare compliance with Debian Policy 3.9.6.
  * Fix use canonical Vcs-Git URL.
  * Update copyright info:
    + Bump packaging license to GPL-3+.
    + Extend packaging coverage to include recent years.
    + Add alternate git source URL.
    + Extend coverage for main upstream authors.
    + Cover docs/docco.css: BSD-3-clause licensed.
  * Repackage source to avoid unimportant and potentially DFSG-nonfree
    fonts.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Stop track md5sum of upstream tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 18:48:47 +0200

underscore (1.4.4-1) unstable; urgency=low

  [ upstream ]
  * New upstream release:
    + Added _.findWhere, for finding the first element in a list that
      matches a particular set of keys and values.
    + Added _.partial, for partially applying a function without
      changing its dynamic reference to this.
    + Simplified bind by removing some edge cases involving constructor
      functions. In short: don't _.bind your constructors.
    + A minor optimization to invoke.

  * Update copyright file:
    + Fix drop an obsolete reference to GPL.
    + Extend coverage of main copyright holder.
    + Fix add dummy GPL-2 License paragraph.
  * Have git-import-orig suppress .gitignore files.
  * Bump standards-version to 3.9.4.
  * Use anonscm.debian.org URL for control file Vcs-Git field.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Mar 2013 22:48:57 +0100

underscore (1.4.3-1) unstable; urgency=low

  [ upstream ]
  * New upstream release.
    + Improved compatibility with Adobe's JS engine that can be used to
      script Illustrator, Photoshop, and friends.
    + Added a default _.identity iterator to countBy and groupBy.
    + The uniq function can now take array, iterator, context as the
      argument list.
    + The times function now returns the mapped array of iterator
      results.
    + Simplified and fixed bugs in throttle.
    + For backwards compatibility, returned to pre-1.4.0 behavior when
    + passing null to iteration functions. They now become no-ops.

  [ Jonas Smedegaard ]
  * Bump dephelper compatibility level to 8.
  * Update watch and rules files to use new github.com URL.
  * Build-depend on devscripts, to always check copyrights during build.
  * Update copyright file:
    + Update Files sections for included code copies of other projects.
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Dec 2012 19:32:54 +0100

underscore (1.4.1-1) unstable; urgency=low

  * New upstream release.

  * Update upstream Homepage.
  * Directly use github.com (avoid unreliable githubredir.debian.net).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Oct 2012 11:51:59 +0200

underscore (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Apr 2012 12:48:32 -0400

underscore (1.3.2-1) unstable; urgency=low

  * New upstream release.

  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Bump format to 1.0.
    + Update copyright years.
    + Quote license strings in GPL license comments.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Apr 2012 00:03:02 +0200

underscore (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Jan 2012 18:30:22 +0100

underscore (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Install (newly renamed) README.md.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Jan 2012 17:21:41 +0100

underscore (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 7.
  * Extend copyright years for Debian packaging.
  * Update copyright file:
    + Drop duplicate comments.
    + Extend copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jan 2012 17:00:41 +0100

underscore (1.2.3-2) unstable; urgency=low

  * Update watch file: Use more flexible regex.
  * Have node-underscore depend on and symlink code from
    libjs-underscore (not duplicate code). Thanks to lintian.
  * Ship index.html with node-underscore (not only libjs-underscore).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 12:39:35 +0700

underscore (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file: Extend copyright range.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 18:29:00 +0700

underscore (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Add David as uploader.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Update package relations:
    + Relax build-depend unversioned on debhelper (needed version
      satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Nov 2011 00:35:49 +0700

underscore (1.1.6-2) unstable; urgency=low

  [ David Paleino ]
  * Team upload
  * New binary package (node-underscore), providing the NodeJS module.

 -- Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>  Sun, 23 Oct 2011 00:13:56 +0200

underscore (1.1.6-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Use uglifyjs (not yui-compressor). Update build-dependencies
    accordingly.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Apr 2011 11:30:21 +0200

underscore (1.1.5-1) unstable; urgency=low

  * New upstream release.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.
  * Update short description, reflecting upstream change.
  * Update copyright file:
    + Bump format to draft 173 of DEP5.
    + Rename License section to Expat~0-clause (from the more vague
      other-MIT).
    + Use License section for GPL-2.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Mar 2011 10:04:16 +0200

underscore (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Bump DEP5 version in coyright file. Extend a year.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 04:33:16 +0100

underscore (1.1.3-2) unstable; urgency=low

  * Recommend libjs-jquery.
  * Fix watch file.
  * Fix capitalize upstream project name in rules file comment.
  * List Github issue tracker as main Upstream-Contact URL in copyright
    file.
  * Bump copyright format to Subversion candidate draft 162 of DEP5.
  * Install uncompressed library (not symlink to compressed one).
  * Extend copyright years in copyright file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jan 2011 21:32:30 +0100

underscore (1.1.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#608392.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Dec 2010 16:39:15 +0100
